<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/balances.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{residualBonus}">Bono Residual</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{name}"></th>
                                <th th:text="#{amount}"></th>
                                <th th:text="#{description}"></th>
                                <th th:text="#{type}"></th>
                                <th th:text="#{status}"></th>
                                <th th:text="#{effective}"></th>
                                <th th:text="#{actions}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.member}"></td>
                                <td th:text="${item.getAmountText()}"></td>
                                <td th:text="${item.description}"></td>
                                <td th:text="${item.type}"></td>
                                <td th:text="${item.status}" th:title="${item.statusText}"></td>
                                <td th:text="${item.effective}"></td>
                                <td>
<!--                                    <i class="fa fa-eye action-button" id="view-member" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-money"></i>
                        </div>
                        <div class="count" th:text="${total.getTotalText()}">179</div>
                        <h3 th:text="#{totalCommissions}">Total Comisiones</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-money"></i>
                        </div>
                        <div class="count" th:text="${total.getEffectiveText()}">179</div>
                        <h3 th:text="#{cashBalance}">Saldo effectivo</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-database"></i>
                        </div>
                        <div class="count" th:text="${total.records}">179</div>
                        <h3 th:text="#{record}">Registros</h3>
                        <p></p>
                    </div>
                </div>

            </div>
        </div>

        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>


</div>

<div th:replace="frags/empty-modal"></div>